Package org.springframework.security.config.annotation.web.configurers

# Class ChannelSecurityConfigurer.RequiresChannelUrl

java.lang.Object
org.springframework.security.config.annotation.web.configurers.ChannelSecurityConfigurer.RequiresChannelUrl

Enclosing class:
  ChannelSecurityConfigurer<H extends HttpSecurityBuilder<H>>

public class ChannelSecurityConfigurer.RequiresChannelUrl extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<? extends org.springframework.security.web.util.matcher.RequestMatcher>`
`requestMatchers`

## Method Summary

Modifier and Type
Method
Description
`ChannelSecurityConfigurer<H>.ChannelRequestMatcherRegistry`
`requires(String attribute)`
`ChannelSecurityConfigurer<H>.ChannelRequestMatcherRegistry`
`requiresInsecure()`
`ChannelSecurityConfigurer<H>.ChannelRequestMatcherRegistry`
`requiresSecure()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### requestMatchers

protected List<? extends org.springframework.security.web.util.matcher.RequestMatcher> requestMatchers

## Method Details

### requiresSecure

public ChannelSecurityConfigurer<H>.ChannelRequestMatcherRegistry requiresSecure()

### requiresInsecure

public ChannelSecurityConfigurer<H>.ChannelRequestMatcherRegistry requiresInsecure()

### requires

public ChannelSecurityConfigurer<H>.ChannelRequestMatcherRegistry requires(String attribute)